Player = Object:extend()
require "bullet"

function Player:new(x, y, hearts)
	self.x = x
	self.y = y
	self.width = 64
	self.height = 64
	self.hearts = hearts
	self.speed = 300
	self.cooldown = 0
end

function Player:shot(self)
	table.insert(bullets, Bullet(self.x, self.y - 48))
	self.cooldown = 0.5
end

function Player:update(dt)
	self.cooldown = self.cooldown - dt
	if self.x + self.width > WINDOW_WIDTH then
		self.x = WINDOW_WIDTH - self.width
	end
	if self.x < 0 then
		self.x = 0
	end
	if love.keyboard.isDown("left") then
		self.x = self.x - self.speed * dt
	elseif love.keyboard.isDown("right") then
		self.x = self.x + self.speed * dt
	end
	if love.keyboard.isDown("space") and self.cooldown < 0 then
		Player:shot(self)
	end
end

function Player:draw()
	for i = 1, self.hearts do
		love.graphics.draw(spritesheet, heart, (i - 1) * 64, WINDOW_HEIGHT - 64, 0, 4, 4)
	end
	love.graphics.draw(spritesheet, rocket, self.x, self.y, 0, 4, 4)
end